<?php
require_once('../../../includes/load.php');
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
	$programa = remove_junk($db->escape($_POST['programa']));
    $operario = remove_junk($db->escape($_POST['operario']));
    $trac_95 = remove_junk($db->escape($_POST['trac_95']));
    $rot_final = remove_junk($db->escape($_POST['rot_final']));
    $ru_tumbado = remove_junk($db->escape($_POST['ru_tumbado']));
    $actividad = remove_junk($db->escape($_POST['actividad']));
    $tractorista = remove_junk($db->escape($_POST['tractorista']));
    $trac_110 = remove_junk($db->escape($_POST['trac_110']));
    $carreta = remove_junk($db->escape($_POST['carreta']));
    $compostera = remove_junk($db->escape($_POST['compostera']));
    $motofumigadora = remove_junk($db->escape($_POST['motofumigadora']));
    $fecha = remove_junk($db->escape($_POST['fecha']));
    $tractor_75 = remove_junk($db->escape($_POST['tractor_75']));
    $roturado = remove_junk($db->escape($_POST['roturado']));
    $rufa_inicial = remove_junk($db->escape($_POST['rufa_inicial']));
    $aireador = remove_junk($db->escape($_POST['aireador']));
    $Observaciones = remove_junk($db->escape($_POST['Observaciones']));
    $clasificador = remove_junk($db->escape($_POST['clasificador']));
    $caleadora = remove_junk($db->escape($_POST['caleadora']));
    $trituradora = remove_junk($db->escape($_POST['trituradora']));
    $lamina = remove_junk($db->escape($_POST['lamina']));
    $rebobinadora = remove_junk($db->escape($_POST['rebobinadora']));
    $minitractor = remove_junk($db->escape($_POST['minitractor']));
    $registro=date("Y-m-d");
    $fechaEntera = strtotime($fecha);
    $anio = date("Y", $fechaEntera);
    $mes = date("m", $fechaEntera);
    $semana = date("W", $fechaEntera);

    //Suma de Variables para hallar dotacion, implemento, tractores programados.
    $DotacionProgramaDiario = $operario + $tractorista;
    $ImplementoProgramaDiario = $roturado + $rot_final + $carreta + $rufa_inicial + $ru_tumbado + $compostera + $aireador + $motofumigadora + $clasificador + $caleadora + $trituradora + $lamina + $rebobinadora ;

    $TractoresProgramaDiario = $tractor_75 + $trac_95 + $trac_110 + $minitractor;
    

    //Calcula el combustible
    if ($tractor_75 > 0)
    {
        $HorasTractor75HP = $tractor_75;
        $PCombustible75HPProgramaDiario = ($HorasTractor75HP * 1.25);
    }else{
        $PCombustible75HPProgramaDiario = 0;
    }

    if ($trac_95 > 0)
    {
        $HorasTractor95HP = $trac_95;
        $PCombustible95HPProgramaDiario = ($HorasTractor95HP * 1.25);
    }else{
        $PCombustible95HPProgramaDiario = 0;
    }

    if ($trac_110 > 0)
    {
        $HorasTractor110HP = $trac_110;
        $PCombustible110HPProgramaDiario = ($HorasTractor110HP * 1.25);
    }else{
        $PCombustible110HPProgramaDiario = 0;
    }

    if ($minitractor > 0)
    {
        $HorasMiniTractorHP = $minitractor;
        $PCombustibleMinitTractorHPProgramaDiario = ($HorasMiniTractorHP * 1.25);
    }else{
        $PCombustibleMinitTractorHPProgramaDiario = 0;
    }

    if($tractor_75 >0 || $trac_95 >0 || $trac_110 >0 || $minitractor > 0)
    {
        $PTotalTractorCombustible = $PCombustible75HPProgramaDiario + $PCombustible95HPProgramaDiario + $PCombustible110HPProgramaDiario + $PCombustibleMinitTractorHPProgramaDiario;
    }else{
        $PTotalTractorCombustible = 0;
    }
    
 
    $query ="INSERT INTO detalleprograma(FechaRegistroDetallePrograma, FechaRecursoProgramaDiario, JornalesOperariosProgramaDiario, TractorPotencia75HPProgramaDiario, TractorPotencia95HPProgramaDiario, TractorPotencia110HPProgramaDiario, RoticultorInicialProgramaDiario, CarretaProgramaDiario, RufaInicialProgramaDiario, ComposteadoraProgramaDiario, AireadorProgramaDiario, MotofumigadoraProgramaDiario,ClasificadorProgramaDiario,CaleadoraProgramaDiario, TrituradoraProgramaDiario,  LaminaProgramaDiario,RebobinadoraProgramaDiario,MinitractorProgramaDiario, IdPrograma, IdActividad, ObservacionDetallePrograma, JornalesTractoristaProgramaDiario, RoticultorFinalProgramaDiario, RufaTumbadoProgramaDiario, IdAnio, IdSemanaRptPrograma, IdMes ,DotacionProgramaDiario, ImplementoProgramaDiario, TractoresProgramaDiario,PTotalTractorCombustible, PCombustible75HPProgramaDiario, PCombustible95HPProgramaDiario, PCombustible110HPProgramaDiario, PCombustibleMinitTractorHPProgramaDiario) VALUES ('$registro','$fecha','$operario','$tractor_75','$trac_95','$trac_110','$roturado','$carreta','$rufa_inicial','$compostera','$aireador','$motofumigadora','$clasificador','$caleadora','$trituradora','$lamina','$rebobinadora','$minitractor','$programa','$actividad','$Observaciones','$tractorista','$rot_final','$ru_tumbado','$anio','$semana','$mes','$DotacionProgramaDiario','$ImplementoProgramaDiario','$TractoresProgramaDiario','$PTotalTractorCombustible','$PCombustible75HPProgramaDiario','$PCombustible95HPProgramaDiario','$PCombustible110HPProgramaDiario', '$PCombustibleMinitTractorHPProgramaDiario')";
   
    if ($db->query($query)) {
        echo 'success';
    } else {
        echo 'fail';
    }
} 



